import {ElementRef, EventEmitter, OnDestroy, OnInit} from '@angular/core';
import {ViewportService} from '../services';

export declare class InViewportDirective implements OnInit, OnDestroy {
  preRender: boolean;
  oneTime: boolean;
  readonly inViewport: EventEmitter<Partial<MyIntersectionObserverEntry>>;
  private readonly elementRef;
  private viewportService;
  private platformId;

  constructor(elementRef: ElementRef, viewportService: ViewportService, platformId: Object);

  ngOnInit(): void;

  ngOnDestroy(): void;
}

export interface MyIntersectionObserverEntry extends IntersectionObserverEntry {
  readonly isIntersecting: boolean;
}
