import {ChangeDetectorRef, Component} from '@angular/core';
import {MyIntersectionObserverEntry} from '../../directives';

@Component({
  selector: 'aiut-in-viewport',
  templateUrl: './in-viewport.component.html'
})
export class InViewportComponent {
  constructor(private changeDetectorRef: ChangeDetectorRef) {
  }

  onViewportChange(intersectionObserverEntry: MyIntersectionObserverEntry) {
    if (intersectionObserverEntry.isIntersecting) {
      this.changeDetectorRef.reattach();
    } else {
      this.changeDetectorRef.detach();
    }
  }
}
